=== debian/changelog ===
systemd (253.5-1ubuntu6.1) mantic; urgency=medium

  * Revert "debian/rules: set MulticastDNS=resolve by default" (LP: #2038894)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3d753238699f54e8c2892d8107136d49f09e44b6

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 09:55:41 -0400

systemd (253.5-1ubuntu6) mantic; urgency=medium

  * debian/tests: Depends: tzdata-legacy for upstream-{1,2} (LP: #2035778)
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=28d9f59c6abb6e460dd34baa4237ef04aa06aced

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Sep 2023 11:54:35 -0400

systemd (253.5-1ubuntu5) mantic; urgency=medium

  * Revert "core/service: when resetting PID also reset known flag" (LP: #2033325)
    Thanks to Sergio Durigan Junior
    File: debian/patches/lp2033325-Revert-core-service-when-resetting-PID-also-reset-known-f.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=021b6fafca7ae9bddaa479500614a4a4be40ce59
  * debian/rules: do not ship systemd-gpt-auto-generator.
    We do not want the functionality provided by this generator, so do not
    ship it.
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a366279a84730e92ed734710560ea833709f359d

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Sep 2023 16:09:54 -0400

systemd (253.5-1ubuntu4) mantic; urgency=medium

  * Revert "Drop Provides: time-daemon for bin:systemd-timesyncd"
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e88d9f0241a307a3c1b4bcaf4bf29799d984aa3c

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 16:36:26 -0400

systemd (253.5-1ubuntu3) mantic; urgency=medium

  [ Nick Rosbrook ]
  * debian/rules: build with -ffat-lto-objects (LP: #2031416)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c78b7a6a2578d2b3f70638db918858f9b78107a4

  [ Utkarsh Gupta ]
  * Drop Provides: time-daemon for bin:systemd-timesyncd
    Author: Utkarsh Gupta
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9b78ef26d64a40c21cac1e48534c6bf33661e6d7

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 15:31:17 -0400

systemd (253.5-1ubuntu2) mantic; urgency=medium

  * core: reorder systemd arguments on reexec (LP: #2013543)
    File: debian/patches/lp2013543-core-reorder-systemd-arguments-on-reexec.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c93e797cdd4f3678cdcc7449f8a6f6820e98b7f0
  * network/dhcp4: do not ignore the gateway even if the destination is in same network (LP: #2009743)
    Files:
    - debian/patches/lp2009743/network-dhcp4-do-not-ignore-the-gateway-even-if-the-desti.patch
    - debian/patches/lp2009743/test-network-add-one-more-testcase-for-DHCPv4-classless-r.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c09bc22fca4259301c88195f34ae3b24956afb22
  * debian/systemd.postint: do not daemon re-exec if we could hit LP: #2013543
    File: debian/systemd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=19447af92c6d30e331ff97420e7ddcf3e5d723e1
  * meson.build: disable -Wformat-overflow on gcc with -O3
    File: debian/patches/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c8595bf0f12e56d4b3a063c93a3ba69c798add2
  * debian: ship libsystemd.a in libsystemd-dev (LP: #2012437)
    Thanks to Serge Hallyn
    Files:
    - debian/libsystemd-dev.install
    - debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5997dd2a25a7c65d7c8a826346c0120532a0e083
  * autopkgtest: add build test for static libsystemd
    Files:
    - debian/tests/build-with-static-libsystemd
    - debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9d90da82d6b4adcf59b9a6b6188af3a49381fea8

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 14 Aug 2023 11:28:09 -0400

systemd (253.5-1ubuntu1) mantic; urgency=medium

  * Merge 253.5-1 from Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
    - debian/systemd.postinst: skip daemon-reexec and try-restarts during shutdown
    - debian/systemd.postinst,debian/rules:
      Disable dh_installinit generation of tmpfiles for systemd package, and
      manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package

