=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  udev,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd | policykit-1,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd | policykit-1,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd,
  udev,
  systemd-container,
  systemd-coredump,
  libpam-systemd,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [amd64],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkg-config,
  python3
Restrictions: needs-root, isolation-container, breaks-testbed, allow-stderr

Tests: udev
Depends: systemd-tests,
  udev,
  python3,
  tree,
  perl,
  xz-utils,
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev [!i386],
  libfido2-dev,
  libdw-dev,
  libqrencode-dev [!i386],
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  snapd,
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable

Tests: upstream-1, upstream-2
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  systemd-homed,
  systemd-resolved,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  cryptsetup-initramfs,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
